## saga 7.3.0+dfsg

=== src/accessories/CMakeLists.txt ===
project(assesories)
message(STATUS "folder: ${PROJECT_NAME}")

#add_subdirectory(toolchains)
install(DIRECTORY toolchains DESTINATION share/saga
	FILES_MATCHING PATTERN "*.xml")

=== src/saga_core/saga_gui/res/CMakeLists.txt ===
message(STATUS "subfolder: ${PROJECT_NAME}/res")

# desktop file
install(FILES saga.desktop DESTINATION share/applications)

# pixmaps file
install(FILES saga.png DESTINATION share/pixmaps)

# sized icons
set(ICON_SIZES 8 16 22 24 32 48 64 72 80 96 128 192)

foreach(size ${ICON_SIZES})
	#message(STATUS "icon size: ${size}")
	set(_icon_source "saga_icon_${size}.png")
	set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
	install(FILES ${_icon_source}
		DESTINATION ${_icon_target}
		RENAME saga.png
	)
endforeach()

set(size 256)
set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
install(FILES saga.png
	DESTINATION ${_icon_target}
)
# clean variables
set(size)
set(_icon_source)
set(_icon_target)

# appdata
install(FILES org.saga-gis.saga-gui.appdata.xml DESTINATION share/metainfo)

# tip, srs and dic
install(FILES saga_tip.txt DESTINATION share/saga)
install(FILES saga_srs.txt DESTINATION share/saga RENAME saga_prj.srs)
install(FILES saga_dic.txt DESTINATION share/saga RENAME saga_prj.dic)

# cosmetic: add to custom target to show up in IDE
add_custom_target(saga-gui-res-otherfiles SOURCES
	saga.desktop
	org.saga-gis.saga-gui.appdata.xml
	saga_tip.txt
	saga_srs.txt
	saga_dic.txt
	)

# TODO: dist-hook

=== src/accessories/templates/template4saga-tools/my_tool_library/Makefile ===
# Project: my_tool_library
# Linux GCC Makefile

LIB_NAME  = libmy_tool_library.so

SAGA_ROOT = /usr/local

CXX_INCS  = -I"$(SAGA_ROOT)/include/saga/saga_core"
CXX_DEFS  = -D_SAGA_LINUX -D_TYPEDEF_BYTE -D_TYPEDEF_WORD
CXX_FLGS  = -fPIC -DPIC -fopenmp -O2
CXXFLAGS  = $(CXX_INCS) $(CXX_DEFS) $(CXX_FLGS)
LNKFLAGS  = -fPIC -DPIC -shared
LNKLIBS   = -L"$(SAGA_ROOT)/lib" -lgomp -lsaga_api

CPP       = g++
LD        = g++

OBJ       = TLB_Interface.o my_tool.o


#########################################

.PHONY: all all-before all-after clean clean-custom

all: all-before $(LIB_NAME) all-after

clean: clean-custom
	rm -f $(OBJ) $(LIB_NAME)

$(LIB_NAME): $(OBJ)
	$(LD) $(LNKFLAGS) $(OBJ) $(LNKLIBS) -o $(LIB_NAME)

	
#########################################

TLB_Interface.o: TLB_Interface.cpp
	$(CPP) -c TLB_Interface.cpp -o TLB_Interface.o $(CXXFLAGS)

my_tool.o: my_tool.cpp
	$(CPP) -c my_tool.cpp -o my_tool.o $(CXXFLAGS)

=== debian/changelog ===
saga (7.3.0+dfsg-7) unstable; urgency=medium

  * Remove libvigra-impex dependency (and module)

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 15 Dec 2021 09:12:00 +0100

saga (7.3.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add pkg-config to build dependencies.
    (closes: #997045)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Oct 2021 07:34:51 +0200

saga (7.3.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Override dh_python3 to use --no-ext-rename to fix broken symlink.
    (closes: #988674)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jun 2021 07:12:36 +0200

saga (7.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Add patch by Timo Röhling to fix FTBFS with Qhull 2019.1.
    (closes: #956461)
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 20:38:04 +0200

saga (7.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete libsaga transitional package.
    (closes: #940781)
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop OpenCV support.
    (closes: #922593)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Oct 2019 18:09:48 +0200

saga (7.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #933464)
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Sep 2019 12:44:30 +0200

saga (7.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 19:06:03 +0200

saga (7.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update repackaging comment
    - Update paths for moved files
    - Drop idw source files, removed upstream
    - Add license & copyright for new files
  * Add patch to fix spelling errors.
  * Switch to Python 3.

  [ Johan Van de Wauw ]
  * Also watch for new LTR release
  * Adjust files-excluded paths
  * New upstream version 7.3.0+dfsg
    (closes: #931941)
  * Use system version of svm
  * Bump saga api packages to new version
  * Add libdxf patch

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 13:06:02 +0200

saga (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patches to update AppStream metadata for non-legacy format.
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.
  * Drop unused libogdi-3.2-dev build dependency.
  * Update gbp.conf to use --source-only-changes by default.
  * Add DEP-3 headers to fixwikilink.patch.
  * Add license & copyright for AppStream metadata.

  [ Johan Van de Wauw ]
  * Add patch to fix wiki link in help menu

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:53:19 +0200

=== debian/control ===
Source: saga
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan@gisky.be>,
           Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libdxflib-dev,
               libexpat-dev,
               libgdal-dev,
               libhpdf-dev,
               libproj-dev,
               libqhull-dev,
               libsvm-dev,
               libwxgtk3.0-gtk3-dev,
               pkg-config,
               python3-dev,
               swig
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
Homepage: http://www.saga-gis.org/

Package: saga
Architecture: any
Depends: saga-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: System for Automated Geoscientific Analyses
 SAGA GIS (System for Automated Geoscientific Analyses) is a free and
 open source geographic information system used for editing and
 analysing spatial data. It includes a large number of modules for the
 analysis of vector (point, line and polygon), table, grid and image
 data. Among others the package includes modules for geostatistics,
 image classification, projections, simulation of dynamic processes
 (hydrology, landscape development) and terrain analysis.
 The functionality can be accessed through a GUI, the command line or
 by using the C++ API.

Package: saga-common
Architecture: all
Depends: ${misc:Depends}
Breaks: saga (<< 2.2.5+dfsg-1~)
Replaces: saga (<< 2.2.5+dfsg-1~)
Description: SAGA GIS architecture independent files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the architecture independent files for SAGA.

Package: libsaga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsaga-api-7.3.0 (= ${binary:Version}),
         libsaga-gdi-7.3.0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the header files for developing with SAGA.
 Install this package if you wish to develop software that uses the SAGA API.

Package: libsaga-api-7.3.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared libraries
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing with SAGA.

Package: libsaga-gdi-7.3.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared library (graphical models)
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing graphical modules.

Package: python3-saga
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS Python bindings
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the Python bindings to SAGA.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += $(CPPFLAGS)

VERSION := $(shell grep '^AC_INIT' configure.ac | sed 's/AC_INIT(saga, \([0-9|\.]*\)\,.*)/\1/g')

TEMPLATES = $(wildcard debian/*.in)

templates:
	for TEMPLATE in $(TEMPLATES) ; do \
		sed -e 's/@VERSION@/$(VERSION)/g' $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
	done

%:
	dh $@ --with python3

override_dh_clean:
	dh_clean src/saga_core/saga_api/saga_api.py saga_cmd.1 saga_gui.1

override_dh_auto_configure: templates
	dh_auto_configure -- \
		--prefix=/usr \
		--disable-libfire \
		--disable-triangle \
		--enable-openmp \
		--enable-python \
		--with-system-dxflib \
		--with-system-svm \
		$(shell dpkg-buildflags --export=configure)

override_dh_auto_build:
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_gui.pod > saga_gui.1
	pod2man --section=1 --release=$(VERSION) --center " " debian/saga_cmd.pod > saga_cmd.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	# Remove executable bit from resource files
	chmod -x debian/*/usr/share/saga/*.*

	# Explicitly remove files not to be installed
	find $(CURDIR)/debian/tmp/usr/lib -name "*.a" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyc" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyo" -delete
	$(RM) -r $(CURDIR)/debian/tmp/usr/include

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_makeshlibs:
	dh_makeshlibs -Xpython3-saga

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
http://sf.net/saga-gis/ \
saga[_-]?(7\.3\.\d+(?:[_\.\-\+]?(?:(?:RC|rc|pre|dev|beta|alpha)\d*)?)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## saga 8.2.2+dfsg

=== saga-gis/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.3)

# Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS
# suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
# since cmake version >= 2.8.10 COMPILE_DEFINITIONS can be set by generator expressions.
if (POLICY CMP0043)
	cmake_policy(SET CMP0043 NEW)
endif (POLICY CMP0043)

# define project name and its description
project(saga)
message(STATUS "folder: ${PROJECT_NAME}")
set(TOP_PROJECT ${PROJECT_NAME})
string(TOLOWER ${TOP_PROJECT} TOP_PROJECT_LOWER)
set(PROJECT_DESCRIPTION "SAGA - System for Automated Geoscientific Analyses")

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
	message(STATUS "Set default build type to Release")
	set(CMAKE_BUILD_TYPE Release)
endif()

if(MSVC)
	set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING "" FORCE)

	option(DEPS_FROM_ENVARS "Library locations from environment" ON)

	option(PARALLEL_BUILD "Multi-processor compilation (/MP)" ON)
	if(PARALLEL_BUILD)
		add_definitions(/MP)
	endif()

	# default debug configuration to use: 'Program Database for Edit And Continue (/ZI)'
	set(CMAKE_C_FLAGS_DEBUG             "/MDd /ZI /Ob0 /Od /RTC1"       CACHE STRING "" FORCE)
	set(CMAKE_CXX_FLAGS_DEBUG           "/MDd /ZI /Ob0 /Od /RTC1"       CACHE STRING "" FORCE)
	set(CMAKE_EXE_LINKER_FLAGS_DEBUG    "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
	set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
	set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
endif()

# options
option(WITH_GUI "Build SAGA with GUI" ON)
option(WITH_TOOLS "Build SAGA with tools" ON)
option(OpenMP_SUPPORT "Compile with OpenMP optimizations" ON)
#option(WITH_LINK_TESTER "Check to enable testing if tools are successfully linking" OFF)

# include version and debianize
include(version.cmake)

# include shared definitions and scripts
include(shared_cmake/scripts/require-cpp11.cmake)
include(shared_cmake/scripts/enable_warnings.cmake)
include(shared_cmake/scripts/windows_version_info.cmake)

# Use GNU install dirs to support multiarch
include(cmake/modules/GNUInstallDirs.cmake)

# create windows resouce file
set(windows_version_rc "${CMAKE_BINARY_DIR}/win_version_info.rc")
gen_win_version_resource("${PROJECT_NAME}" "${windows_version_rc}"
	${SAGA_VERSION_MAJOR} ${SAGA_VERSION_MINOR} ${SAGA_VERSION_PATCH} ${GIT_COUNT}
	${SAGA_VERSION_FULL_STRING})

# include the generated header files
include_directories("${PROJECT_BINARY_DIR}")


# add local models to search path
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# find wxWidgets
#find_package(wxWidgets REQUIRED)
#include("${wxWidgets_USE_FILE}")

# compile with OpenMP optimizations
if(OpenMP_SUPPORT)
	find_package(OpenMP QUIET REQUIRED)
	message(STATUS "compile with OpenMP optimizations")
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

# add files to dummy target to show in IDE
file(GLOB CMAKE_FILES "cmake/*.cmake" "cmake/modules/*.cmake")
file(GLOB SHARED_CMAKE_FILES "shared_cmake/scripts/*.cmake")
add_custom_target(saga-other-files SOURCES
	.gitignore
	COPYING
	README
	src/gpl.txt
	src/lgpl.txt
	src/install.txt
	cmake/Config.cmake
	cmake/config.h.cmake
	${CMAKE_FILES}
	${SHARED_CMAKE_FILES}
)

# configure config.h
include(cmake/Config.cmake)
Config()

# add subdirectories
add_subdirectory(src)

# in case some automated tests will be written
#option(BUILD_TESTING "Build tests for saga-gis" ON)
#if(BUILD_TESTING)
#	 enable tests
#	enable_testing(true)
#	add_subdirectory(tests)
#endif()

=== saga-gis/src/saga_core/saga_api/CMakeLists.txt ===
project(saga_api)

message(STATUS "project: ${PROJECT_NAME}")

# define headers
set(SAGA_API_PUBLIC_HEADERS
	api_core.h
	data_manager.h
	dataobject.h
	datetime.h
	geo_tools.h
	grid.h
	grids.h
	grid_pyramid.h
	mat_tools.h
	metadata.h
	parameters.h
	pointcloud.h
	saga_api.h
	shapes.h
	table_dbase.h
	table.h
	table_value.h
	tin.h
	tool.h
	tool_library.h
)

# define sources
set(SAGA_API_SOURCES
	api_callback.cpp
	api_colors.cpp
	api_core.cpp
	api_file.cpp
	api_memory.cpp
	api_string.cpp
	api_translator.cpp
	clipper.cpp
	data_manager.cpp
	dataobject.cpp
	datetime.cpp
	geo_classes.cpp
	geo_functions.cpp
	grid.cpp
	grid_io.cpp
	grid_memory.cpp
	grid_operation.cpp
	grid_pyramid.cpp
	grid_system.cpp
	grids.cpp
	kdtree.cpp
	mat_formula.cpp
	mat_grid_radius.cpp
	mat_indexing.cpp
	mat_matrix.cpp
	mat_regression.cpp
	mat_regression_multiple.cpp
	mat_regression_weighted.cpp
	mat_spline.cpp
	mat_tools.cpp
	mat_trend.cpp
	metadata.cpp
	parameter.cpp
	parameter_data.cpp
	parameters.cpp
	pointcloud.cpp
	projections.cpp
	quadtree.cpp
	saga_api.cpp
	shape.cpp
	shape_line.cpp
	shape_part.cpp
	shape_point.cpp
	shape_points.cpp
	shape_polygon.cpp
	shapes.cpp
	shapes_io.cpp
	shapes_ogis.cpp
	shapes_polygons.cpp
	shapes_search.cpp
	shapes_selection.cpp
	table.cpp
	table_dbase.cpp
	table_io.cpp
	table_record.cpp
	table_selection.cpp
	tin.cpp
	tin_elements.cpp
	tin_triangulation.cpp
	tool.cpp
	tool_chain.cpp
	tool_grid.cpp
	tool_grid_interactive.cpp
	tool_interactive.cpp
	tool_interactive_base.cpp
	tool_library.cpp
	tool_library_interface.cpp
	tool_summary.cpp
	api_core.h
	clipper.hpp
	data_manager.h
	dataobject.h
	datetime.h
	geo_tools.h
	grid.h
	grid_pyramid.h
	mat_tools.h
	metadata.h
	nanoflann.hpp
	parameters.h
	pointcloud.h
	saga_api.h
	shapes.h
	table.h
	table_dbase.h
	table_value.h
	tin.h
	tool.h
	tool_chain.h
	tool_library.h
)

#________________________________________
option(WITH_MRMR "Check to include mRMR code (Minimum Redundancy Feature Selection, incompatible with Debian licensing)" OFF)

if(WITH_MRMR)
	set(SAGA_API_SOURCES
		${SAGA_API_SOURCES}
		mat_mRMR.cpp
	)
endif()

#________________________________________
add_library(saga_api SHARED
	${SAGA_API_SOURCES}
	${SAGA_API_PUBLIC_HEADERS} # just cosmetic, show headers in IDE
)

target_include_directories(saga_api INTERFACE "${saga_core_include_dir}")

find_package(wxWidgets COMPONENTS base net xml html REQUIRED)
target_link_libraries(saga_api PRIVATE ${wxWidgets_LIBRARIES})

if(MSVC) # windows msvc
	target_compile_definitions(saga_api PUBLIC -D_SAGA_MSW -DUNICODE)
else() # unix like systems
	target_compile_definitions(saga_api PUBLIC -D_SAGA_LINUX)
	target_compile_definitions(saga_api PRIVATE -D${MTOOLSPATH} -D${MSHAREPATH})
	set_target_properties(saga_api PROPERTIES COMPILE_FLAGS -fPIC)
endif()

target_compile_definitions(saga_api PUBLIC -D_TYPEDEF_BYTE -D_TYPEDEF_WORD)
target_compile_definitions(saga_api PRIVATE -D_SAGA_API_EXPORTS)

if(WITH_MRMR)
	target_compile_definitions(saga_api PUBLIC -DWITH_MRMR)
endif()

# set version number for library
set_target_properties(saga_api PROPERTIES
	VERSION ${SAGA_VERSION_STRING}
	SOVERSION ${SAGA_VERSION_MAJOR}
)

# where to install the library
install(TARGETS saga_api DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${SAGA_API_PUBLIC_HEADERS} DESTINATION include/saga/saga_api)

if(MSVC)
	string(REPLACE "/" "\\" SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/")
	add_custom_command(TARGET saga_api POST_BUILD
		COMMAND IF NOT EXIST "$(OutDir)include" MKDIR "$(OutDir)include"
		COMMAND IF EXIST "$(OutDir)include\\saga_api" RMDIR /S/Q "$(OutDir)include\\saga_api"
		COMMAND MKDIR    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}api_core.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}data_manager.h" "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}dataobject.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}datetime.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}geo_tools.h"    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grid.h"         "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grid_pyramid.h" "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grids.h"        "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}mat_tools.h"    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}metadata.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}parameters.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}pointcloud.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}saga_api.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}shapes.h"       "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}table.h"        "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}table_value.h"  "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tin.h"          "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tool.h"         "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tool_library.h" "$(OutDir)include\\saga_api"
	)
endif()

#-#-#-#-#-# SWIG / Python #-#-#-#-#-#
add_subdirectory(saga_api_python)

=== saga-gis/src/saga_core/saga_gui/CMakeLists.txt ===
project(saga_gui)
message(STATUS "project: ${PROJECT_NAME}")

# define sources
set(SAGA_GUI_SOURCES
	active.cpp
	active_attributes.cpp
	active_attributes_control.cpp
	active_description.cpp
	active_history.cpp
	active_info.cpp
	active_legend.cpp
	active_parameters.cpp
	callback.cpp
	data_source.cpp
	data_source_files.cpp
	data_source_odbc.cpp
	data_source_pgsql.cpp
	dlg_about.cpp
	dlg_about_logo.cpp
	dlg_base.cpp
	dlg_choices.cpp
	dlg_colors.cpp
	dlg_colors_control.cpp
	dlg_list.cpp
	dlg_parameters.cpp
	dlg_table.cpp
	dlg_table_control.cpp
	dlg_text.cpp
	helper.cpp
	info.cpp
	info_messages.cpp
	parameters_control.cpp
	parameters_properties.cpp
	project.cpp
	res_commands.cpp
	res_controls.cpp
	res_dialogs.cpp
	res_images.cpp
	saga.cpp
	saga_frame.cpp
	saga_frame_droptarget.cpp
	view_base.cpp
	view_histogram.cpp
	view_layout.cpp
	view_layout_control.cpp
	view_layout_info.cpp
	view_map.cpp
	view_map_3d.cpp
	view_map_3d_panel.cpp
	view_map_control.cpp
	view_ruler.cpp
	view_scatterplot.cpp
	view_table.cpp
	view_table_control.cpp
	view_table_data.cpp
	view_table_diagram.cpp
	wksp.cpp
	wksp_base_control.cpp
	wksp_base_item.cpp
	wksp_base_manager.cpp
	wksp_data_control.cpp
	wksp_data_item.cpp
	wksp_data_layers.cpp
	wksp_data_manager.cpp
	wksp_data_menu_file.cpp
	wksp_data_menu_files.cpp
	wksp_grid.cpp
	wksp_grid_manager.cpp
	wksp_grid_system.cpp
	wksp_grids.cpp
	wksp_layer.cpp
	wksp_layer_classify.cpp
	wksp_layer_legend.cpp
	wksp_map.cpp
	wksp_map_basemap.cpp
	wksp_map_buttons.cpp
	wksp_map_control.cpp
	wksp_map_dc.cpp
	wksp_map_graticule.cpp
	wksp_map_layer.cpp
	wksp_map_manager.cpp
	wksp_pointcloud.cpp
	wksp_pointcloud_manager.cpp
	wksp_shapes.cpp
	wksp_shapes_edit.cpp
	wksp_shapes_line.cpp
	wksp_shapes_manager.cpp
	wksp_shapes_point.cpp
	wksp_shapes_points.cpp
	wksp_shapes_polygon.cpp
	wksp_shapes_type.cpp
	wksp_table.cpp
	wksp_table_manager.cpp
	wksp_tin.cpp
	wksp_tin_manager.cpp
	wksp_tool.cpp
	wksp_tool_control.cpp
	wksp_tool_library.cpp
	wksp_tool_manager.cpp
	wksp_tool_menu.cpp
	active.h
	active_attributes.h
	active_attributes_control.h
	active_description.h
	active_history.h
	active_info.h
	active_legend.h
	active_parameters.h
	callback.h
	data_source.h
	data_source_files.h
	data_source_odbc.h
	data_source_pgsql.h
	dlg_about.h
	dlg_about_logo.h
	dlg_base.h
	dlg_choices.h
	dlg_colors.h
	dlg_colors_control.h
	dlg_list.h
	dlg_parameters.h
	dlg_table.h
	dlg_table_control.h
	dlg_text.h
	helper.h
	info.h
	info_messages.h
	parameters_control.h
	parameters_properties.h
	project.h
	res_commands.h
	res_controls.h
	res_dialogs.h
	res_images.h
	saga.h
	saga_frame.h
	saga_frame_droptarget.h
	view_base.h
	view_histogram.h
	view_layout.h
	view_layout_control.h
	view_layout_info.h
	view_map.h
	view_map_3d.h
	view_map_3d_panel.h
	view_map_control.h
	view_ruler.h
	view_scatterplot.h
	view_table.h
	view_table_control.h
	view_table_data.h
	view_table_diagram.h
	wksp.h
	wksp_base_control.h
	wksp_base_item.h
	wksp_base_manager.h
	wksp_data_control.h
	wksp_data_item.h
	wksp_data_layers.h
	wksp_data_manager.h
	wksp_data_menu_file.h
	wksp_data_menu_files.h
	wksp_grid.h
	wksp_grid_manager.h
	wksp_grid_system.h
	wksp_grids.h
	wksp_layer.h
	wksp_layer_classify.h
	wksp_layer_legend.h
	wksp_map.h
	wksp_map_basemap.h
	wksp_map_buttons.h
	wksp_map_control.h
	wksp_map_dc.h
	wksp_map_graticule.h
	wksp_map_layer.h
	wksp_map_manager.h
	wksp_pointcloud.h
	wksp_pointcloud_manager.h
	wksp_shapes.h
	wksp_shapes_line.h
	wksp_shapes_manager.h
	wksp_shapes_point.h
	wksp_shapes_points.h
	wksp_shapes_polygon.h
	wksp_shapes_type.h
	wksp_table.h
	wksp_table_manager.h
	wksp_tin.h
	wksp_tin_manager.h
	wksp_tool.h
	wksp_tool_control.h
	wksp_tool_library.h
	wksp_tool_manager.h
	wksp_tool_menu.h
)

add_executable(saga_gui ${SAGA_GUI_SOURCES} res/saga_gui.rc)

# link needed saga libraries
target_link_libraries(saga_gui saga_api saga_gdi)

# find and link wxWidgets libraries
find_package(wxWidgets COMPONENTS adv aui base core html net propgrid xml REQUIRED QUIET)
target_link_libraries(saga_gui ${wxWidgets_LIBRARIES})

# add compile definition needed
if(MSVC)
	option(WITH_GUI_TABBED_MDI "GUI with Tabbed MDI" OFF)
	if(WITH_GUI_TABBED_MDI)
		target_compile_definitions(saga_gui PRIVATE MDI_TABBED)
	endif()

	target_compile_definitions(saga_gui PUBLIC -D_SAGA_MSW -DUNICODE)
	target_link_options(saga_gui PRIVATE /SUBSYSTEM:WINDOWS)

else() # unix like systems
	set_target_properties(saga_gui PROPERTIES COMPILE_FLAGS -fPIC)
	target_compile_definitions(saga_gui PUBLIC -D_SAGA_LINUX)
	target_compile_definitions(saga_gui PRIVATE -D${MTOOLSPATH} -D${MSHAREPATH})
endif()

# add man page
add_subdirectory(man)
# add res directory
add_subdirectory(res)

# where to install the binary
install(TARGETS saga_gui DESTINATION bin)

if(MSVC)
	string(REPLACE "/" "\\" SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/")
	add_custom_command(TARGET saga_gui POST_BUILD
		COMMAND COPY "${SOURCE_DIR}res\\saga.rus.txt" "$(OutDir)saga.rus.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.ger.txt" "$(OutDir)saga.ger.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.lng.txt" "$(OutDir)saga.lng.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.bra.txt" "$(OutDir)saga.bra.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.ger.txt" "$(OutDir)saga.ger.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.rus.txt" "$(OutDir)saga.rus.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga_tip.txt" "$(OutDir)saga_gui.tip"
		COMMAND COPY "${SOURCE_DIR}res\\saga_srs.txt" "$(OutDir)saga_prj.srs"
		COMMAND COPY "${SOURCE_DIR}res\\saga_dic.txt" "$(OutDir)saga_prj.dic"
		COMMAND IF NOT EXIST "$(OutDir)tools" MKDIR "$(OutDir)tools"
		COMMAND IF EXIST "$(OutDir)tools\\toolchains" RMDIR /S/Q "$(OutDir)tools\\toolchains"
		COMMAND MKDIR    "$(OutDir)tools\\toolchains"
		COMMAND XCOPY /C/Q/Y/H "${SOURCE_DIR}..\\..\\accessories\\toolchains\\*.xml" "$(OutDir)\\tools\\toolchains"
	#	COMMAND COPY "${SOURCE_DIR}..\\..\\accessories\\toolchains\\*.xml" "$(OutDir)\\tools\\toolchains"
	)
endif()

=== saga-gis/src/tools/garden/CMakeLists.txt ===
add_subdirectory(garden_3d_viewer)
add_subdirectory(garden_fractals)
add_subdirectory(garden_games)
add_subdirectory(garden_webservices)

=== saga-gis/src/tools/io/CMakeLists.txt ===
add_subdirectory(io_esri_e00)
add_subdirectory(io_gdal)
add_subdirectory(io_gps)
add_subdirectory(io_grid)
add_subdirectory(io_grid_image)
add_subdirectory(io_pdal)
add_subdirectory(io_riegl_rdb)
add_subdirectory(io_shapes)
add_subdirectory(io_shapes_dxf)
add_subdirectory(io_shapes_las)
add_subdirectory(io_table)
add_subdirectory(io_virtual)
add_subdirectory(io_webservices)

=== saga-gis/src/tools/pointcloud/CMakeLists.txt ===
add_subdirectory(pointcloud_tools)
add_subdirectory(pointcloud_viewer)

=== saga-gis/src/tools/tin/CMakeLists.txt ===
add_subdirectory(tin_tools)
add_subdirectory(tin_viewer)

=== saga-gis/src/tools/garden/garden_3d_viewer/CMakeLists.txt ===
if(WITH_TOOLS AND WITH_GUI)
	project(garden_3d_viewer)
	include(../../CMakePluginTemplate.cmake)	# load common tool template
	find_package(wxWidgets REQUIRED QUIET)
	include(${wxWidgets_USE_FILE})
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
	target_link_libraries(${PROJECT_NAME} saga_gdi)
endif()

=== saga-gis/src/tools/io/io_shapes_dxf/CMakeLists.txt ===
option(WITH_SYSTEM_DXF "Check to use system version of dxflib library instead of embedded copy" OFF)

if(WITH_TOOLS)
	project(io_shapes_dxf)

	if(WITH_SYSTEM_DXF)
		# link dxflib library
		# Ubuntu 16.04 package libdxflib-dev
		find_package(dxflib REQUIRED)
	endif()
	
	if(NOT dxflib_FOUND)
		# add files in sudirectories
		set(SAGA_TOOL_CUSTOM_SOURCE_LIST
			dxflib/dl_dxf.cpp
			dxflib/dl_writer_ascii.cpp
		)
		set(SAGA_TOOL_CUSTOM_HEADER_LIST
			dxflib/dl_attributes.h
			dxflib/dl_codes.h
			dxflib/dl_creationadapter.h
			dxflib/dl_creationinterface.h
			dxflib/dl_dxf.h
			dxflib/dl_entities.h
			dxflib/dl_exception.h
			dxflib/dl_extrusion.h
			dxflib/dl_writer.h
			dxflib/dl_writer_ascii.h
		)
	endif()

	# load common tool template
	include(../../CMakePluginTemplate.cmake)
	
	if(dxflib_FOUND)
		target_include_directories(${PROJECT_NAME} PRIVATE ${dxflib_INCLUDE_DIRS})
		target_link_libraries     (${PROJECT_NAME}         ${dxflib_LIBRARIES})
	endif()
endif()

=== saga-gis/src/tools/io/io_shapes_las/CMakeLists.txt ===
option(WITH_TOOLS_LAS "Check to create build targets for liblas tools" OFF)

if(WITH_TOOLS_LAS)
	if(MSVC AND DEPS_FROM_ENVARS)
		if("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "Win32")
			set(LIB4SAGA $ENV{LIBLAS_32})
		else()
			set(LIB4SAGA $ENV{LIBLAS})
		endif()
		find_path   (LAS_INCLUDE NAMES liblas/liblas.hpp PATHS "${LIB4SAGA}/include")
		find_library(LAS_LIBRARY NAMES las liblas        PATHS "${LIB4SAGA}/lib")
		mark_as_advanced(LAS_INCLUDE LAS_LIBRARY)
		include(FindPackageHandleStandardArgs)
		FIND_PACKAGE_HANDLE_STANDARD_ARGS(LAS REQUIRED_VARS LAS_LIBRARY LAS_INCLUDE)
	endif()
	if(NOT LAS_FOUND)
		find_package(LAS)	# Ubuntu package liblas-dev
	endif()
	if(LAS_FOUND)
		project(io_shapes_las)
		include(../../CMakePluginTemplate.cmake)	# load common tool template
		target_include_directories(${PROJECT_NAME} PRIVATE "${LAS_INCLUDE}")
		target_link_libraries(${PROJECT_NAME} ${LAS_LIBRARY})
	endif()
endif()

=== saga-gis/src/tools/pointcloud/pointcloud_viewer/CMakeLists.txt ===
if(WITH_TOOLS AND WITH_GUI)
	project(pointcloud_viewer)
	include(../../CMakePluginTemplate.cmake)	# load common tool template
	find_package(wxWidgets REQUIRED QUIET)
	include(${wxWidgets_USE_FILE})
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
	target_link_libraries(${PROJECT_NAME} saga_gdi)
endif()

=== saga-gis/src/tools/tin/tin_viewer/CMakeLists.txt ===
if(WITH_TOOLS AND WITH_GUI)
	project(tin_viewer)
	include(../../CMakePluginTemplate.cmake)	# load common tool template
	find_package(wxWidgets REQUIRED QUIET)
	include(${wxWidgets_USE_FILE})
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
	target_link_libraries(${PROJECT_NAME} saga_gdi)
endif()

=== debian/changelog ===
saga (8.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (applied upstream)
  * Skip running autoreconf during build

 -- Johan Van de Wauw <johan@gisky.be>  Thu, 16 Jun 2022 10:06:47 +0200

saga (8.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch support GDAL 3.5.0 Multi-Arch path in FindGDAL.cmake.
    (closes: #1012675)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 17:24:11 +0200

saga (8.2.1+dfsg-2) unstable; urgency=medium

  * Add fix for saga_cmd which was not finding modules

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 31 May 2022 09:46:21 +0200

saga (8.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 May 2022 06:55:17 +0200

saga (8.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Watch for any version of saga
  * Adjust excluded paths in d/copyright
  * Switch packaging to CMake.

  [ Bas Couwenberg ]
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 19:20:12 +0200

saga (7.3.0+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch by Adrian Bunk to fix FTBFS with python3.10.
    (closes: #1009417)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 20:34:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                dh-python,
                libdxflib-dev,
                libexpat-dev,
@@ -13,6 +14,7 @@
                libproj-dev,
                libqhull-dev,
                libsvm-dev,
+               libvigraimpex-dev,
                libwxgtk3.0-gtk3-dev,
                pkg-config,
                python3-dev,
@@ -54,8 +56,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsaga-api-7.3.0 (= ${binary:Version}),
-         libsaga-gdi-7.3.0 (= ${binary:Version}),
+Depends: libsaga-api8 (= ${binary:Version}),
+         libsaga-gdi8 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: saga (= ${binary:Version})
 Description: SAGA GIS development files
@@ -65,7 +67,7 @@
  This package contains the header files for developing with SAGA.
  Install this package if you wish to develop software that uses the SAGA API.
 
-Package: libsaga-api-7.3.0
+Package: libsaga-api8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -78,7 +80,7 @@
  .
  This package contains the library files for developing with SAGA.
 
-Package: libsaga-gdi-7.3.0
+Package: libsaga-gdi8
 Architecture: any
 Multi-Arch: same
 Section: libs

## saga 8.4.0+dfsg

=== debian/changelog ===
saga (8.4.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Update build dependencies for wxwidgets3.2.
    (closes: #1019762)
  * Update lintian overrides.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Update copyright for clipper

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 25 Oct 2022 13:46:55 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                libqhull-dev,
                libsvm-dev,
                libvigraimpex-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                pkg-config,
                python3-dev,
                swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/

## saga 8.4.1+dfsg

=== saga-gis/src/saga_core/saga_api/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,6 @@
 	api_memory.cpp
 	api_string.cpp
 	api_translator.cpp
-	clipper.cpp
 	data_manager.cpp
 	dataobject.cpp
 	datetime.cpp
@@ -76,7 +75,6 @@
 	shapes.cpp
 	shapes_io.cpp
 	shapes_ogis.cpp
-	shapes_polygons.cpp
 	shapes_search.cpp
 	shapes_selection.cpp
 	table.cpp
@@ -97,7 +95,6 @@
 	tool_library_interface.cpp
 	tool_summary.cpp
 	api_core.h
-	clipper.hpp
 	data_manager.h
 	dataobject.h
 	datetime.h
@@ -119,6 +116,30 @@
 	tool_chain.h
 	tool_library.h
 )
+
+#________________________________________
+option(WITH_CLIPPER_ONE "Check to make SAGA API use older Clipper1 instead of newer Clipper2 (expects at least C++ 17)" ON)
+
+if(WITH_CLIPPER_ONE)
+	set(SAGA_API_SOURCES
+		${SAGA_API_SOURCES}
+		clipper.cpp
+		clipper.hpp
+		shapes_polygons.cpp
+	)
+else()
+	set(SAGA_API_SOURCES
+		${SAGA_API_SOURCES}
+		clipper.engine.cpp
+		clipper.offset.cpp
+		clipper.h
+		clipper.core.h
+		clipper.engine.h
+		clipper.minkowski.h
+		clipper.offset.h
+		shapes_clipper.cpp
+	)
+endif()
 
 #________________________________________
 option(WITH_MRMR "Check to include mRMR code (Minimum Redundancy Feature Selection, incompatible with Debian licensing)" OFF)

=== debian/changelog ===
saga (8.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 11:46:48 +0100

## saga 8.4.2+dfsg

=== saga-gis/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13.3)
+cmake_minimum_required(VERSION 3.14)
 
 # Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS
 # suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
@@ -49,12 +49,15 @@
 include(version.cmake)
 
 # include shared definitions and scripts
-include(shared_cmake/scripts/require-cpp11.cmake)
-include(shared_cmake/scripts/enable_warnings.cmake)
-include(shared_cmake/scripts/windows_version_info.cmake)
+include(cmake/shared/require-cpp11.cmake)
+include(cmake/shared/enable_warnings.cmake)
+include(cmake/shared/windows_version_info.cmake)
 
 # Use GNU install dirs to support multiarch
 include(cmake/modules/GNUInstallDirs.cmake)
+
+# clang uses this compile commands for the language server protocol
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON) 
 
 # create windows resouce file
 set(windows_version_rc "${CMAKE_BINARY_DIR}/win_version_info.rc")
@@ -76,18 +79,27 @@
 # compile with OpenMP optimizations
 if(OpenMP_SUPPORT)
 	find_package(OpenMP QUIET REQUIRED)
-	message(STATUS "compile with OpenMP optimizations")
-	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
-	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
-endif()
+	if(OPENMP_FOUND)
+		message(STATUS "compile with OpenMP optimizations")
+		set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+		if(APPLE)
+			set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}   -I${OpenMP_C_INCLUDE_DIR}")
+			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -I${OpenMP_CXX_INCLUDE_DIR}")
+			cmake_path(GET OpenMP_libomp_LIBRARY PARENT_PATH OpenMP_LIBRARY_DIR)
+			set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS}    -L${OpenMP_LIBRARY_DIR} -lomp")
+			set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -L${OpenMP_LIBRARY_DIR} -lomp")
+		endif(APPLE)
+	else()
+		message(STATUS "OpenMP not found!")
+	endif(OPENMP_FOUND)
+endif(OpenMP_SUPPORT)
 
 # add files to dummy target to show in IDE
 file(GLOB CMAKE_FILES "cmake/*.cmake" "cmake/modules/*.cmake")
-file(GLOB SHARED_CMAKE_FILES "shared_cmake/scripts/*.cmake")
+file(GLOB SHARED_CMAKE_FILES "cmake/shared/*.cmake")
 add_custom_target(saga-other-files SOURCES
 	.gitignore
-	COPYING
-	README
 	src/gpl.txt
 	src/lgpl.txt
 	src/install.txt

=== debian/changelog ===
saga (8.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Dec 2022 16:30:32 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
+Rules-Requires-Root: no
 
 Package: saga
 Architecture: any
